Bug 435360 - mod_ssl cannot be loaded for web UI to work
mod_ssl cannot be loaded for web UI to work
Status: CLOSED CURRENTRELEASE
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 15:34 EST by Rob Crittenden
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version: pa-0.99-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 17:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-02-28 15:34:32 EST
mod_proxy depends on some callback functions provided by mod_ssl. We work around
this by providing them in mod_nss but *only* if mod_ssl is not loaded.

If both mod_ssl and mod_nss are loaded them the mod_ssl callbacks will be used
and the connection will fail with something cryptic like:

Thu Feb 28 14:42:46 2008] [error] (20014)Internal error: proxy: pass request
body failed to 127.0.0.1:8080 (localhost)
[Thu Feb 28 14:42:46 2008] [error] (20014)Internal error: proxy: pass request
body failed to 127.0.0.1:8080 (localhost) from 192.168.0.1 ()
[Thu Feb 28 14:42:46 2008] [error] [client 192.168.0.1] Handler for proxy-server
returned invalid result code 20014

During installation we make sure that mod_ssl is disabled but if yum decides to
upgrade it then ssl.conf will be re-created and it will be loaded at the next
Apache restart.
Comment 1 Fedora Update System 2008-03-18 16:54:05 EDT
ipa-0.99-12.fc7 has been submitted as an update for Fedora 7
Comment 2 Fedora Update System 2008-03-18 16:54:33 EDT
ipa-0.99-12.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-21 18:10:29 EDT
ipa-0.99-12.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipa'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2598

Note You need to log in before you can comment on or make changes to this bug.